Index: calculatorview/docs/sphinx/genmods.py
===================================================================
--- calculatorview/docs/sphinx/genmods.py	(revision 3e0f072e9a5d90f7d0c60d019a51d00029ef25cb)
+++ calculatorview/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -67,5 +67,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api/perspectives/calculator')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/perspectives/calculator')
 
     print "Sphinx: generate .rst files complete..."
Index: fittingview/docs/sphinx/genmods.py
===================================================================
--- fittingview/docs/sphinx/genmods.py	(revision 035354023a9ee535e3a049c18eb267ec7b32a63d)
+++ fittingview/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -68,5 +68,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api/perspectives/fitting')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/perspectives/fitting')
 
     print "Sphinx: generate .rst files complete..."
Index: invariantview/docs/sphinx/genmods.py
===================================================================
--- invariantview/docs/sphinx/genmods.py	(revision 3ce5c906d7edb9aff054465b134943735aea2782)
+++ invariantview/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -67,5 +67,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/perspectives/invariant')
     print "Sphinx: generate .rst files complete..."
     
Index: inversionview/docs/sphinx/genmods.py
===================================================================
--- inversionview/docs/sphinx/genmods.py	(revision b4293d2d0cacede7b6f450775d1a48d93646e6c2)
+++ inversionview/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -68,5 +68,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api/perspectives/pr')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/perspectives/pr')
 
     print "Sphinx: generate .rst files complete..."
Index: park_integration/docs/sphinx/genmods.py
===================================================================
--- park_integration/docs/sphinx/genmods.py	(revision 8ac62a69f58717662c051071b80ef20f3c8b0565)
+++ park_integration/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -66,4 +66,4 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/fit')
     print "Sphinx: generate .rst files complete..."
Index: plottools/docs/sphinx/genmods.py
===================================================================
--- plottools/docs/sphinx/genmods.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -72,4 +72,4 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/danse/common/plottools')
     print "Sphinx: generate .rst files complete..."
Index: pr_inversion/docs/sphinx/genmods.py
===================================================================
--- pr_inversion/docs/sphinx/genmods.py	(revision 446c8d9dbf57b476251bca3611c3ddf3e6a770c0)
+++ pr_inversion/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -65,5 +65,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/pr')
 
     print "Sphinx: generate .rst files complete..."
Index: sanscalculator/docs/sphinx/genmods.py
===================================================================
--- sanscalculator/docs/sphinx/genmods.py	(revision 115106ff226d484f467c3f26adc236e45e1ccf04)
+++ sanscalculator/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -66,4 +66,4 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/calculator')
     print "Sphinx: generate .rst files complete..."
Index: sansdataloader/docs/sphinx/genmods.py
===================================================================
--- sansdataloader/docs/sphinx/genmods.py	(revision c2d5ff2eff4be8b3ee2b38091d2627aef3daa1e1)
+++ sansdataloader/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -66,5 +66,5 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/dataloader')
     modules = []
     path = os.path.abspath(os.path.dirname('../../src/sans/dataloader/readers/'))
@@ -77,4 +77,4 @@
     package='sans.dataloader.readers'
     package_name='Readers'
-    genfiles(package, package_name, modules, dir='api/readers')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/dataloader/readers')
     print "Sphinx: generate .rst files complete..."
Index: sansguiframe/docs/sphinx/genmods.py
===================================================================
--- sansguiframe/docs/sphinx/genmods.py	(revision c0ddd6b3b4489c79cf80d605635c592e6e6985fd)
+++ sansguiframe/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -84,5 +84,5 @@
     package = 'sans.guiframe'
     package_name = 'Reference'
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/guiframe')
     # build local plugin
     for f in os.listdir(path):
@@ -100,5 +100,5 @@
                             package_name = 'Local Perspective: %s' % str(tf)
                             modules = create_module_tuple(p)
-                            dir = os.path.join("api", "local_perspectives", tf)
+                            dir = os.path.join("../../../sphinx-docs/api/sans/guiframe", "local_perspectives", tf)
                             genfiles(package, package_name, modules, dir=dir)
           
Index: sansinvariant/docs/sphinx/genmods.py
===================================================================
--- sansinvariant/docs/sphinx/genmods.py	(revision 909f3c84d9fc424e0a07d834dfbff7adacb62156)
+++ sansinvariant/docs/sphinx/genmods.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -67,4 +67,4 @@
 
 if __name__ == "__main__":
-    genfiles(package, package_name, modules, dir='api')
+    genfiles(package, package_name, modules, dir='../../../sphinx-docs/api/sans/invariant')
     print "Sphinx: generate .rst files complete..."
Index: sphinx-docs/Makefile
===================================================================
--- sphinx-docs/Makefile	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
+++ sphinx-docs/Makefile	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -0,0 +1,134 @@
+# Makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    =
+SPHINXBUILD   = sphinx-build
+PAPER         =
+BUILDDIR      = ../sphinx-docs
+
+# Internal variables.
+PAPEROPT_a4     = -D latex_paper_size=a4
+PAPEROPT_letter = -D latex_paper_size=letter
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+
+help:
+	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+
+clean:
+	-rm -rf $(BUILDDIR)
+	-rm -rf api
+	
+stubs:
+	python genmods.py
+
+html: 
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+dirhtml:
+	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
+
+pickle:
+	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
+	@echo
+	@echo "Build finished; now you can process the pickle files."
+
+json:
+	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
+	@echo
+	@echo "Build finished; now you can process the JSON files."
+
+htmlhelp:
+	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
+	@echo
+	@echo "Build finished; now you can run HTML Help Workshop with the" \
+	      ".hhp project file in $(BUILDDIR)/htmlhelp."
+
+qthelp:
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
+	@echo
+	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
+	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sansmodels.qhcp"
+	@echo "To view the help file:"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sansmodels.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/sansmodels"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sansmodels"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
+
+latex:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo
+	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf: latex
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	make -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+changes:
+	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
+	@echo
+	@echo "The overview file is in $(BUILDDIR)/changes."
+
+linkcheck:
+	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	@echo
+	@echo "Link check complete; look for any errors in the above output " \
+	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
+	@echo "Testing of doctests in the sources finished, look at the " \
+	      "results in $(BUILDDIR)/doctest/output.txt."
Index: sphinx-docs/generate_docs.py
===================================================================
--- sphinx-docs/generate_docs.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
+++ sphinx-docs/generate_docs.py	(revision c7e12b61a9b43efe8624f39d185386f2badf2683)
@@ -0,0 +1,19 @@
+import os
+cwd = os.getcwd()
+for d in os.listdir('.'):
+    sphinx_dir = os.path.join(d, 'docs', 'sphinx')
+    if os.path.isdir(sphinx_dir) and sphinx_dir.find("calculator")<0:
+        print sphinx_dir
+        #os.chdir(sphinx_dir)
+        #os.system("cd %s; make stubs; cd %s" % (sphinx_dir, cwd))
+        #print "DONE"
+        
+module_list = ["fittingview", "invariantview", "inversionview",
+               "park_integration", "calculatorview", "plottools",
+               "pr_inversion", "sanscalculator", "sansdataloader",
+               "sansguiframe", "sansinvariant", "sansmodels"]
+
+for m in module_list:
+    sphinx_dir = "../%s/docs/sphinx" % m
+    os.system("cd %s; python genmods.py; cd %s" % (sphinx_dir, cwd))
+os.system("make html")   
